package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ZtSignContractReportFacadeFactory
{
    private ZtSignContractReportFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.gggl.IZtSignContractReportFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IZtSignContractReportFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("BCC7BA35") ,com.kingdee.eas.custom.gggl.IZtSignContractReportFacade.class);
    }
    
    public static com.kingdee.eas.custom.gggl.IZtSignContractReportFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IZtSignContractReportFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("BCC7BA35") ,com.kingdee.eas.custom.gggl.IZtSignContractReportFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.gggl.IZtSignContractReportFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IZtSignContractReportFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("BCC7BA35"));
    }
    public static com.kingdee.eas.custom.gggl.IZtSignContractReportFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IZtSignContractReportFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("BCC7BA35"));
    }
}